package epson.print.Util;

import android.graphics.Bitmap;

import java.io.Serializable;

public class FolderPhoto implements Serializable {
    private String FolPath;
    private int count;
    private Bitmap[] mb = null;
    private String name;

    public Bitmap[] getMb() {
        return mb;
    }

    public void setMb(Bitmap[] bitmapArr) {
        mb = bitmapArr;
    }

    public FolderPhoto(int i, String str, String str2) {
        count = i;
        FolPath = str;
        name = str2;
    }

    public String getName() {
        return name;
    }

    public void setName(String str) {
        name = str;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int i) {
        count = i;
    }

    public String getFolPath() {
        return FolPath;
    }

    public void setFolPath(String str) {
        FolPath = str;
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        return getClass() == obj.getClass() && getFolPath().equalsIgnoreCase(((FolderPhoto) obj).getFolPath());
    }
}
